Bug 220861 - Freeciv freezes when trying to start a game because it can't start a server
Freeciv freezes when trying to start a game because it can't start a server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: freeciv (Show other bugs)
6
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-27 23:31 EST by vfiend
Modified: 2008-05-06 13:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 13:15:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description vfiend 2006-12-27 23:31:15 EST
Description of problem: Freeciv freezes when trying to start a new game or a
scenario, then after a minute or so says it couldn't start a server.


Version-Release number of selected component (if applicable): 2.0.8-7


How reproducible: Always


Steps to Reproduce:
1. Open Freeciv
2. Click 'start a new game' or 'start scenario game', choose a scenario and
click 'OK'
  
Actual results: Freeciv freezes for a minute, then says it can't start a server


Expected results: Freeciv should start a server and a new game


Additional info: No console output, except for "(civclient:18699): Gtk-CRITICAL
**: gtk_widget_modify_style: assertion `GTK_IS_RC_STYLE (style)' failed" but
that happens when the program opens, not when it freezes.
Comment 1 Brian Pepple 2006-12-28 00:08:57 EST
Hmmm, unable to reproduce it here.  I'll try some more tomorrow, but any
additional information you have on how it occurred would be appreciated.
Comment 2 vfiend 2006-12-28 00:15:34 EST
I just installed it from pirut and launched it from the games menu, didn't do
anything unusual so I don't know what more information I can give you
Comment 3 Mattias Ellert 2006-12-29 04:49:52 EST
If I have a network connection it works without problems.

But with no network, it doesn't work. The server starts, but connecting to
"localhost" fails. If I try to connect to "127.0.0.1" instead it works.

In FC6 ipv6 is standard and /etc/hosts maps "localhost" to "::1" instead of
"127.0.0.1". The problem could be lack of ipv6 support in freeciv.
Comment 4 vfiend 2006-12-29 05:51:10 EST
I should note that I do have a network connection, but it still cannot start a
server and connect to it.
Comment 5 Mattias Ellert 2007-01-23 10:14:30 EST
If I don't have a network connection it does not work correctly. If I have a
network connection it depends...

If the network connection is leased from a DHCP server that sets the hostname of
the computer freeciv works.

If the network connection is leased from a DHCP server that does not set the
hostname of the computer (i.e. the hostname is still localhost) freeciv does not
work. In this case freeciv tries to connect to the ipv6 address "::1" and faile.

When the normal startup doesn't work I can still start freeciv by first starting
a server, and then start a client but selecting "start networked game" and enter
127.0.0.1 (which is the ipv4 localhost) as the server hostname. This has to be
entered numerically since "localhost" is mapped to "::1" (i.e. the ipv6 localhost).

To me this really points to that the bug is caused by lack of ipv6 support in
freeciv.
Comment 6 Christian Anthon 2007-04-15 18:26:36 EDT
In my particular case the problem was that I had deselected ipv6 support during
installation, but my /etc/hosts file still contained the ipv6 line and not the
ipv4 line for localhost. Changing the localhost line to

127.0.0.1 localhost.localdomain localhost

solved the problem.

(ping localhost also didn't work)
Comment 7 Bug Zapper 2008-04-04 01:23:04 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 8 Bug Zapper 2008-05-06 13:15:08 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.